Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
ledgers
/
bal
/
{year}
/
{month}
Cash ITC Balance
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/bal/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/bal/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/bal/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "cash_bal": {
        "cess": {
          "fee": 0,
          "intr": 0,
          "oth": 0,
          "pen": 0,
          "tx": 0
        },
        "cess_tot_bal": 0,
        "cgst": {
          "fee": 0,
          "intr": 0,
          "oth": 0,
          "pen": 0,
          "tx": 0
        },
        "cgst_tot_bal": 0,
        "igst": {
          "fee": 0,
          "intr": 0,
          "oth": 0,
          "pen": 0,
          "tx": 0
        },
        "igst_tot_bal": 0,
        "sgst": {
          "fee": 0,
          "intr": 0,
          "oth": 0,
          "pen": 0,
          "tx": 0
        },
        "sgst_tot_bal": 0
      },
      "gstin": "29AAACQ3770E000",
      "itc_bal": {
        "cess_bal": 0,
        "cgst_bal": 0,
        "igst_bal": 0,
        "sgst_bal": 0
      },
      "itc_blck_bal": {
        "cess_blck_bal": 0,
        "cgst_blck_bal": 0,
        "igst_blck_bal": 0,
        "sgst_blck_bal": 0
      }
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "401d25c5-c6bf-47c3-a7f2-7e396c7ca331"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Response

200 - application/json

200 Success

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"401d25c5-c6bf-47c3-a7f2-7e396c7ca331"